##
##  roff.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         roff
Summary:      Traditional Unix Typesetting System
URL:          http://heirloom.sourceforge.net/doctools.html
Vendor:       Sun, Gunnar Ritter et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      BSD/CDDL
Version:      080407
Release:      20080408

#   list of sources
Source0:      http://download.sourceforge.net/heirloom/heirloom-doctools-%{version}.tar.bz2

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes, make, flex, bison
PreReq:       OpenPKG, openpkg >= 20160101
Conflicts:    groff

%description
    This is the traditional Unix Typesetting System (troff and nroff)
    from the Heirloom Documentation Tools package, which in turn
    contains a portable derivative of the Unix typesetting utilities
    released by Sun as part of OpenSolaris. The OpenSolaris utilities
    are a variant of ditroff, which, in turn, descends to the historical
    Unix troff that generated output for the C/A/T phototypesetter.

%track
    prog roff = {
        version   = %{version}
        url       = http://sourceforge.net/projects/heirloom/files/
        regex     = heirloom-doctools-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q -n heirloom-doctools-%{version}

%build
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        LEX="flex" \
        YACC="bison -y" \
        BINDIR=%{l_prefix}/bin \
        LIBDIR=%{l_prefix}/lib \
        MANDIR=%{l_prefix}/man \
        MACDIR=%{l_prefix}/lib/roff/tmac \
        FNTDIR=%{l_prefix}/lib/roff/font \
        PSTDIR='$(FNTDIR)/devpost/postscript' \
        TABDIR=%{l_prefix}/lib/roff/nterm \
        HYPDIR=%{l_prefix}/lib/roff/hyphen \
        REFDIR=%{l_prefix}/lib/roff/reftools \
        PUBDIR=%{l_prefix}/lib/roff/pub

%install
    %{l_make} %{l_mflags} install \
        ROOT=$RPM_BUILD_ROOT \
        BINDIR=%{l_prefix}/bin \
        LIBDIR=%{l_prefix}/lib \
        MANDIR=%{l_prefix}/man \
        MACDIR=%{l_prefix}/lib/roff/tmac \
        FNTDIR=%{l_prefix}/lib/roff/font \
        PSTDIR='$(FNTDIR)/devpost/postscript' \
        TABDIR=%{l_prefix}/lib/roff/nterm \
        HYPDIR=%{l_prefix}/lib/roff/hyphen \
        REFDIR=%{l_prefix}/lib/roff/reftools \
        PUBDIR=%{l_prefix}/lib/roff/pub \
        INSTALL="%{l_shtool} install"
    ( cd $RPM_BUILD_ROOT%{l_prefix}/man
      mv man1b/* man1; rmdir man1b
      mv man7b/* man7; rmdir man7b
      for file in man1/*.1b man7/*.7b; do
          mv $file `echo $file | sed -e 's;b$;;'`
      done
      rm -f man1/checkeq.1; ln man1/eqn.1 man1/checkeq.1
      rm -f man1/neqn.1; ln man1/eqn.1 man1/neqn.1
      rm -f man1/indxbib.1; ln man1/lookbib.1 man1/indxbib.1
    ) || exit $?
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

